Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::Triangle_iterator< SkeletonBlockerComplex > Class Template Reference

Iterator over the triangles of the simplicial complex. More...

`#include <include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_triangles_iterators.h>`

## Public Member Functions

| Triangle_iterator (const SkeletonBlockerComplex *complex, bool is_end)
| ugly hack to get an iterator to the end

## Detailed Description

template<typename SkeletonBlockerComplex>
class Gudhi::skeleton_blocker::Triangle_iterator< SkeletonBlockerComplex >

Iterator over the triangles of the simplicial complex.

Remarks
  Will be removed soon -> don't look

## Constructor & Destructor Documentation

## Triangle_iterator()

template<typename SkeletonBlockerComplex>

Gudhi::skeleton_blocker::Triangle_iterator< SkeletonBlockerComplex >::Triangle_iterator | ( | const SkeletonBlockerComplex * | complex,
|  | bool | is_end )

inline

ugly hack to get an iterator to the end

Remarks
  assume that the complex is non-empty

The documentation for this class was generated from the following file:

- include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_triangles_iterators.h